List Processor Batch Payouts ( STABLE )
curl --request GET \
--url https://api.grailpay.com/3p/api/v2/batch-payouts/processor \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/3p/api/v2/batch-payouts/processor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/3p/api/v2/batch-payouts/processor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"batch_payouts": [
{
"uuid": "9bd53fe1-ac74-4e81-b6f2-be88b7c86a68",
"amount": 4400,
"trace_id": "ach_11kt6v9715jp67t",
"payout_status": "PAYOUT_COMPLETE",
"ach_return_code": null,
"failure_reason": null,
"modality": {
"payment_rail": "fednow",
"speed": "instant"
},
"created_at": "2025-02-17 11:15:15",
"updated_at": "2025-02-18 17:15:15"
}
],
"pagination": {
"current_page": 1,
"total_pages": 2,
"total_items": 12,
"per_page": 10
}
},
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Parameters Received: startDate, endDate",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"start_date": [
"The start date does not match the format Y-m-d.",
"The start date must be a date before or equal to end date."
],
"end_date": [
"The end date does not match the format Y-m-d.",
"The end date must be a date after or equal to start date."
],
"sort_order": [
"The selected sort order is invalid."
],
"per_page": [
"The per page must be an integer.",
"The per page must be at least 1.",
"The per page may not be greater than 100."
],
"page": [
"The page must be an integer.",
"The page must be at least 1."
]
},
"error_code": null
}Payouts
List Processor Batch Payouts ( STABLE )
This API retrieves all batch payouts associated with the processor. The response provides comprehensive details for each payout, including the total amount and specific information for each payout.
GET
/
3p
/
api
/
v2
/
batch-payouts
/
processor
List Processor Batch Payouts ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Query Parameters
Filter by start date (YYYY-MM-DD)
Filter by end date (YYYY-MM-DD)
Sort order ('oldest' or 'newest')
Available options:
oldest, newest Page number for pagination
Example:
1
Number of records per page
Example:
10
⌘I
